using System;

namespace Schedule
{
	public class MaidParams
	{
		public MaidParams(ScheduleTraining parent)
		{
			this._parent = parent;
		}

		public ScheduleTraining parent
		{
			get
			{
				return this._parent;
			}
		}

		public int study_rate
		{
			get
			{
				return this.parent.simulateParams.study_rate;
			}
		}

		public int reception
		{
			get
			{
				return this.parent.simulateParams.reception;
			}
		}

		public int care
		{
			get
			{
				return this.parent.simulateParams.care;
			}
		}

		public int lovely
		{
			get
			{
				return this.parent.simulateParams.lovely;
			}
		}

		public int elegance
		{
			get
			{
				return this.parent.simulateParams.elegance;
			}
		}

		public int charm
		{
			get
			{
				return this.parent.simulateParams.charm;
			}
		}

		public int teach_rate
		{
			get
			{
				return this.parent.simulateParams.teach_rate;
			}
		}

		public int exp
		{
			get
			{
				return this.parent.simulateParams.exp;
			}
		}

		public int cooking
		{
			get
			{
				return this.parent.simulateParams.cooking;
			}
		}

		public int vocal
		{
			get
			{
				return this.parent.simulateParams.vocal;
			}
		}

		public int dance
		{
			get
			{
				return this.parent.simulateParams.dance;
			}
		}

		public int Ap
		{
			get
			{
				return this.parent.simulateParams.appealPoint;
			}
		}

		public int income
		{
			get
			{
				return this.parent.simulateParams.income;
			}
		}

		private ScheduleTraining _parent;
	}
}
